package main

import (
	_ "embed"
	"log"
	"red-green/door"
	"strings"
)

//go:embed space.ans
var space string

func ANSISpace() []string {
	data := strings.Split(space, "\n")

	if !door.Unicode && !door.CP437 {
		log.Panicf("Call after door.Init() so Unicode/CP437 has been set.")
	}
	if door.Unicode {
		for idx := range data {
			data[idx] = door.CP437_to_Unicode(data[idx])
		}
	}
	return data
}
